Hooks:PostHook(WeaponFactoryTweakData, "init", "MTs255ModInit", function(self)
	local custom_wpn_id = {"wpn_fps_shot_s_mts255", "wpn_fps_shot_mts255"}
	local stance_wpn_id = "wpn_fps_shot_serbu"
	for _, wpn_id in pairs(custom_wpn_id) do
		for _, part_id in pairs(self[wpn_id].uses_parts) do
			if self.parts[part_id].type == "sight" or self.parts[part_id].type == "gadget" then
				if self.parts[part_id].stance_mod and self.parts[part_id].stance_mod[stance_wpn_id] then
					self.parts[part_id].stance_mod[wpn_id] = deep_clone(self.parts[part_id].stance_mod[stance_wpn_id])
				end
			end
		end
	end
end)